<ion-header>
  <ion-toolbar>
      <ion-title>Menu de usuari </ion-title>

      <ion-chip slot="secondary" (click)="presentModal()">
          <ion-avatar>
              <img src="https://firebasestorage.googleapis.com/v0/b/urieats.appspot.com/o/filesStorage%2F1651085077661_9725eab0f76484dfd3459bb932cf880b8392cdcafa59926986b6d5164641514f_3.jpg?alt=media&token=430715a6-dad0-4151-89fd-9f662ecbbc1e">
          </ion-avatar>
          <ion-label>{{ userDetail.displayName }} and settings</ion-label>
      </ion-chip>
      <ion-chip slot="end" (click)="signOut()">
        <ion-icon name="exit-outline"></ion-icon>
    </ion-chip>

</ion-toolbar>
</ion-header>


<ion-content class="ion-padding">
  <div id="container">
    <ion-button (click)="comprar()" >
      Comprar menjar<ion-icon name="bag-add-outline"></ion-icon> <!-- <ion-icon name="cart-outline"></ion-icon> -->
    </ion-button>
    
    <br><br>
    <a *ngIf="checkrole()" >
      <ion-button (click)="manageProducts()" >
        Administrar Productes<ion-icon name="bag-add-outline"></ion-icon> 
      </ion-button>
    </a>
  </div>
</ion-content>